> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Usage Alert Config

> Retrieve information about usage_alert



## OpenAPI

````yaml /api-reference/openapi.json get /v1/notification/usage_alert
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/notification/usage_alert:
    get:
      tags:
        - Notifications
      summary: Get Usage Alert Config
      description: Retrieve information about usage_alert
      operationId: get_usage_alert_config_v1_notification_usage_alert_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageAlertConfigurationResponse'
        '400':
          description: Not Valid Field
          content:
            application/json:
              example:
                status: error
                error_code: NOT_VALID_FIELD
                message: Invalid field value in query parameters
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              example:
                status: error
                error_code: INTERNAL_SERVER_ERROR
                message: Missing required permissions
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                status: error
                error_code: INTERNAL_SERVER_ERROR
                message: 'Error: Internal Server Error'
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    UsageAlertConfigurationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Notification Id
          description: The unique identifier for the notification
        enabled:
          type: boolean
          title: Enabled
          description: Whether the usage alert is enabled
        percent:
          type: integer
          maximum: 99
          minimum: 1
          title: Threshold Percent
          description: >-
            Percentage of included minutes USED at which the alert is triggered
            (1-99)
          examples:
            - 80
            - 75
        updated_at:
          type: string
          format: date-time
          title: Last Updated At
          description: The timestamp when the configuration was last updated
      type: object
      required:
        - id
        - enabled
        - percent
        - updated_at
      title: UsageAlertConfigurationResponse
    ErrorResponseSchema:
      properties:
        status:
          type: string
          title: Status
          description: Status of the response, always 'error' for error responses
          default: error
        error_code:
          type: string
          title: Error Code
          description: Machine-readable error code in SCREAMING_SNAKE_CASE format
          examples:
            - PROJECT_NOT_FOUND
            - INVALID_EMAIL
            - UNAUTHORIZED_ROLE
        message:
          type: string
          title: Message
          description: Human-readable error message with details
          examples:
            - Project with id 550e8400-e29b-41d4-a716-446655440000 not found
            - The email invalid@email is not valid
            - Insufficient permissions to perform this action
      type: object
      required:
        - error_code
        - message
      title: ErrorResponseSchema
      description: Standard error response format for all API errors.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````